#
# spec file for package kdgantt2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kdgantt2
Version:        16.08.3
Release:        bp153.2.2.1
Summary:        Gantt chart library
License:        GPL-2.0-only
Group:          System/GUI/KDE
URL:            https://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0

%description
This library implements Gantt chart drawing functionality. It allows
to easily embed the Gantt charts into the application as long as it
is capable of drawing QWidget or QGraphicsView objects.

This package is part of the KDE PIM module.

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%package -n libKF5KDGantt2-5
Summary:        Gantt chart library for kdepim
License:        LGPL-2.1-or-later
Group:          System/Libraries
Requires:       kdgantt2 = %{version}

%description -n libKF5KDGantt2-5
This library implements Gantt chart drawing functionality. It allows
to easily embed the Gantt charts into the application as long as it
is capable of drawing QWidget or QGraphicsView objects.

%post  -n libKF5KDGantt2-5 -p /sbin/ldconfig
%postun -n libKF5KDGantt2-5 -p /sbin/ldconfig

%package devel
Summary:        Development package for kdgantt2
License:        LGPL-2.1-or-later
Group:          Development/Libraries/KDE
Requires:       libKF5KDGantt2-5 = %{version}

%description devel
The development package for the kdgantt2 libraries.

%files devel
%license COPYING*
%{_includedir}/KF5/KDGantt2/
%{_includedir}/KF5/kdgantt2/
%{_includedir}/KF5/kdgantt2_version.h
%{_libdir}/cmake/KF5KDGantt2/
%{_libdir}/libKF5KDGantt2.so
%{_libdir}/qt5/mkspecs/modules/qt_KDGantt2.pri

%files
%license COPYING*
%{_kf5_debugdir}/kdgantt2.categories

%files -n libKF5KDGantt2-5
%license COPYING*
%{_libdir}/libKF5KDGantt2.so.*

%changelog
* Fri Jul 19 2019 Christophe Giboudeaux <christophe@krop.fr>
- Use %%_kf5_debugdir for logging categories.
* Thu Jan 26 2017 jengelh@inai.de
- Take better description from Debian.
* Wed Nov  9 2016 lbeltrame@kde.org
- Update to KDE Applications 16.08.3
  * KDE Applications 16.08.3
  * https://www.kde.org/announcements/announce-applications-16.08.3.php
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.08-rc.php
* Sat Jul 16 2016 wbauer@tmo.at
- Cleanup build requires
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Mon May 30 2016 tittiatcoke@gmail.com
- Update License.
  There are currently no License nor Copying files in the tarball,
  but based on comments they have been added now to the master branch
  with the commit 433cef4229ef67bbb228cd78ad9d2a89356171cd on 24 May.
* Tue May 17 2016 lbeltrame@kde.org
- Update package groups
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
